<template>
    <div class="p-3">
        <div class="base_block p-3 mb-3">
            <form class="dash_ftr">
                <div class="d-flex align-items-center py-2 mr-4">
                    <div class="dash_ftr_lbl mr-2">{{ $store.state.locale.from ? $store.state.locale.from : 'От'}}:</div>
                    <div class="base_select_alt dash_ftr_inp">
                        <input type="date" v-model="date" class="form-control">
                    </div>
                </div>
                <div class="d-flex align-items-center py-2 mr-4">
                    <div class="dash_ftr_lbl mr-2">{{ $store.state.locale.to ? $store.state.locale.to : 'До' }}:</div>
                    <div class="base_select_alt dash_ftr_inp">
                        <input type="date" v-model="endTime" class="form-control">
                    </div>
                </div>
                <div class="d-flex align-items-center py-2 mr-4">
                    <div class="dash_ftr_lbl mr-2">{{ $store.state.locale.district }}:</div>
                    <div class="base_select_alt dash_ftr_inp">
                        <select v-model="districtId" class="form-control">
                            <option :value="null" >{{ $store.state.locale.all }}</option>
                            <option v-for="district in districtList" :value="district.id">{{district.name}}</option>
                        </select>
                        <i class="mdi mdi-menu-down"></i>
                    </div>
                </div>
                <div class="d-flex align-items-center py-2 mr-4">
                    <div class="dash_ftr_lbl mr-2">{{ $store.state.locale.street }}:</div>
                    <div class="base_select_alt dash_ftr_inp">
                        <select v-model="streetId" class="form-control" :disabled="!districtId">
                            <option :value="null">{{ $store.state.locale.all }}</option>
                            <option v-for="street in streetList" :value="street.id">{{street.name}}</option>
                        </select>
                        <i class="mdi mdi-menu-down"></i>
                    </div>
                </div>
                <div class="d-flex align-items-center py-2 mr-4">
                    <div class="dash_ftr_lbl mr-2">{{ $store.state.locale.house }}:</div>
                    <div class="base_select_alt dash_ftr_inp">
                        <select v-model="houseId" class="form-control" :disabled="!streetId">
                            <option :value='null'>{{ $store.state.locale.all }}</option>
                            <option v-for="house in houseList" :value="house.id">{{house.name}}</option>
                        </select>
                        <i class="mdi mdi-menu-down"></i>
                    </div>
                </div>
                <div class="d-flex align-items-center py-2 mr-4">
                    <div class="dash_ftr_lbl mr-2">{{ $store.state.locale.flat }}:</div>
                    <div class="base_select_alt dash_ftr_inp">
                        <select v-model="flatId" class="form-control" :disabled="!houseId">
                            <option :value="null">{{ $store.state.locale.all }}</option>
                            <option v-for="flat in flatList" :value="flat.id">{{flat.name}}</option>
                        </select>
                        <i class="mdi mdi-menu-down"></i>
                    </div>
                </div>
                <button type="button" @click="refreshData()" class="btn call_save_btn dash_ftr_btn">{{ $store.state.locale.filter }}</button>
            </form>
        </div>
        <div>
            <div class="main-block">
                <div class="fn_header">
                    <h3 class="mb-3">{{ $store.state.locale.catStat }}</h3>
                </div>
                <div class="fn_content">
                    <div id="chart">
                        <apexchart ref="ticket" type=bar height=350 :options="options" :series="options.series" />
                    </div>
                </div>
            </div>
        </div>
    </div>

</template>

<script src="./index.js"></script>

<style scoped>
    .filterTop{
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding: 16px;
        background: #fff;
        align-items: center;
    }
    .fn_header{
        position: relative;
        display: block;
        height: auto;
    }
    .fn_header_filter{
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: flex-end;
        padding: 20px 0;
    }
    .fn_header_filter>div{
        display: flex;
        flex-wrap: wrap;
        margin: 0 10px;
    }
    .fn_header_filter>div:last-child{
        margin-right: 0;
    }
    .fn_header_filter>div>select, .fn_header_filter>div>input{
        width: auto;
        min-width: 150px;
        margin-left: 5px;
    }
</style>
